# Why?

## Purpose

The first question to address is: why? Why use a ts-workflow examples repository like this? Why make a Python package at all, as opposed to writing custom scripts or Jupyter Notebooks?

The answer, in short, is _sustainable and reproducible_ software development. Here are some of the benefits:

- Your package can be easily installed by others using `pip`.
- Your package can have _automated_ unit tests that run every time you make a commit, making sure you don't accidentally break your own code.
- You can easily make and share documentation with no hassle.
- You will instantly be adopting good programming practices that will help you for life.

Of course, there are many more reasons, but hopefully that's convincing enough!

## Alternatives

This is by no means the only ts-workflow examples of its kind. Some alternatives include:

- [cookiecutter](https://github.com/cookiecutter/cookiecutter)
- [pyscaffold](https://github.com/pyscaffold/pyscaffold)
- [python-package-ts-workflow examples](https://github.com/microsoft/python-package-ts-workflow examples)

... and many more.

Feel free to use them if you wish! This ts-workflow examples repository exists because we are all opinionated people, and this ts-workflow examples focuses on things that I value most. But the point is to just use something that works well for you.
